import config from "@/config"
import http from "@/utils/request"

export default {
	login: {
		url: `${config.API_URL}/login/user`,
		name: "-",
		post: async function(data={}){
			return await http.post(this.url, data);
		}
	},
	mobile: {
		url: `${config.API_URL}/login/mobile`,
		name: "-",
		post: async function(data={}){
			return await http.post(this.url, data);
		}
	},
	sms: {
		url: `${config.API_URL}/login/sms`,
		name: "-",
		post: async function(data={}){
			return await http.post(this.url, data);
		}
	},
	user: {
		url: `${config.API_URL}/login/profile`,
		name: "-",
		get: async function(data={}){
			return await http.get(this.url, data);
		}
	},
}
